package com.realnet.order_estimation.Services;
import com.realnet.order_estimation.Repository.Order_summaryRepository;
import com.realnet.order_estimation.Entity.Order_summary
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;
















	import org.springframework.stereotype.Service;

@Service
 public class Order_summaryService {
@Autowired
private Order_summaryRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;















public Order_summary Savedata(Order_summary data) {
















	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Order_summary save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Order_summary> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Order_summary> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Order_summary> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Order_summary getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Order_summary update(Order_summary data,Integer id) {
	Order_summary old = Repository.findById(id).get();
old.setLine(data.getLine());

old.setProduct(data.getProduct());

old.setDescription(data.getDescription());

old.setUnit_price(data.getUnit_price());

old.setQuantity(data.getQuantity());

old.setTotal(data.getTotal());

old.setGst(data.getGst());

old.setFinal_total(data.getFinal_total());

final Order_summary test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 
















 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
